Index: tests/GuiChecks/Potential/FitPotential/testsuite-potential-fit-potential.at
===================================================================
--- tests/GuiChecks/Potential/FitPotential/testsuite-potential-fit-potential.at	(revision af340c21b5447cefb53f0abf8de5efbe586d4b7b)
+++ tests/GuiChecks/Potential/FitPotential/testsuite-potential-fit-potential.at	(revision d50b9151219b75020931486afa73b2b92312849b)
@@ -22,4 +22,6 @@
 AT_KEYWORDS([potential parse-homologies fit-potential morse])
 AT_SKIP_IF([../../molecuilder --help fit-potential; if test $? -eq 5; then /bin/true; else /bin/false; fi])
+# homology files probably originate from Labspace/PotentialFitting/WaterAngle
+# recreate homology file: PYTHONPATH=... /usr/bin/python .../tests/regression/Potential/FitPotential/pre/measurement_function.py length_common.pdb 2 0 0 5 4 127.0.0.1 2050 6-311G* 1 2. 10 .../share/molecuilder/data/bondtables/bondtable.dat
 
 file=length_homology.dat
@@ -31,5 +33,5 @@
 # check that L_2 error is below 1e-6
 # check parameters to printed precision
-AT_CHECK([grep "morse:.*particle_type1=8,.*particle_type2=1,.*spring_constant=1.2.*,.*equilibrium_distance=1.7.*,.*dissociation_energy=0.19.*;" length.potentials], 0, [ignore], [ignore])
+AT_CHECK([grep "morse:.*particle_type1=8,.*particle_type2=1,.*spring_constant=1.3.*,.*equilibrium_distance=1.7.*,.*dissociation_energy=0.19.*;" length.potentials], 0, [ignore], [ignore])
 
 AT_CLEANUP
@@ -38,14 +40,16 @@
 AT_KEYWORDS([potential parse-homologies fit-potential harmonic])
 AT_SKIP_IF([../../molecuilder --help fit-potential; if test $? -eq 5; then /bin/true; else /bin/false; fi])
+# homology files probably originate from Labspace/PotentialFitting/Water
+# see morse fitting
 
-file=harmonic_homology.dat
+file=length_homology.dat
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Potential/FitPotential/pre/$file $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder --dry-run 	--parse-homologies $file 	--set-random-number-engine "lagged_fibonacci607" 		--random-number-engine-parameters "seed=1;" 	--set-random-number-distribution "uniform_real" 		--random-number-distribution-parameters "min=0;max=1;" 	--fit-potential 		--potential-type "harmonic_bond" 		--potential-charges 8 1 		--fragment-charges 1 8 1 		--set-threshold 5e-6 	--save-potentials harmonic.potentials --no-dry-run --store-session session-potential-fit-potential.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([../../molecuilder --dry-run 	--parse-homologies $file 	--set-random-number-engine "lagged_fibonacci607" 		--random-number-engine-parameters "seed=1;" 	--set-random-number-distribution "uniform_real" 		--random-number-distribution-parameters "min=0;max=1;" 	--fit-potential 		--potential-type "harmonic_bond" 		--potential-charges 8 1 		--fragment-charges 1 8 1 		--set-threshold 6e-4 	--save-potentials harmonic.potentials --no-dry-run --store-session session-potential-fit-potential.py --session-type python], 0, [stdout], [ignore])
 AT_CHECK([grep -v "Command.*DryRun" session-potential-fit-potential.py >session-potential-fit-potential_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-potential-fit-potential_new.py], 0, [stdout], [ignore])
-# check that L_2 error is below 5e-6
+# check that L_2 error is below 6e-4
 # check parameters to printed precision
-AT_CHECK([grep "harmonic_bond:.*particle_type1=8,.*particle_type2=1,.*spring_constant=0.29.*,.*equilibrium_distance=1.8.*;" harmonic.potentials], 0, [ignore], [ignore])
+AT_CHECK([grep "harmonic_bond:.*particle_type1=8,.*particle_type2=1,.*spring_constant=0.4.*,.*equilibrium_distance=1.8.*;" harmonic.potentials], 0, [ignore], [ignore])
 
 AT_CLEANUP
@@ -54,4 +58,6 @@
 AT_KEYWORDS([potential parse-homologies fit-potential harmonic_angle])
 AT_SKIP_IF([../../molecuilder --help fit-potential; if test $? -eq 5; then /bin/true; else /bin/false; fi])
+# homology files probably originate from Labspace/PotentialFitting/WaterAngle
+# recreate homology file: PYTHONPATH=... /usr/bin/python .../tests/regression/Potential/FitPotential/pre/measurement_function.py angle_common.pdb 2 0 0 5 4 127.0.0.1 2050 6-311G* 1 2. 10 .../share/molecuilder/data/bondtables/bondtable.dat
 
 file=angle_homology.dat
@@ -63,5 +69,5 @@
 # check that L_2 error is below 1e-6
 # check parameters to printed precision
-AT_CHECK([grep "harmonic_angle:.*particle_type1=1,.*particle_type2=8,.*particle_type3=1,.*spring_constant=0.10.*,.*equilibrium_distance=-0.27.*;" angle.potentials], 0, [ignore], [ignore])
+AT_CHECK([grep "harmonic_angle:.*particle_type1=1,.*particle_type2=8,.*particle_type3=1,.*spring_constant=0.10.*,.*equilibrium_distance=-0.29.*;" angle.potentials], 0, [ignore], [ignore])
 
 AT_CLEANUP
@@ -70,4 +76,6 @@
 AT_KEYWORDS([potential parse-homologies fit-potential torsion])
 AT_SKIP_IF([../../molecuilder --help fit-potential; if test $? -eq 5; then /bin/true; else /bin/false; fi])
+# homology files probably originate from Labspace/PotentialFitting/Butane
+# recreate homology file: PYTHONPATH=... /usr/bin/python .../tests/regression/Potential/FitPotential/pre/measurement_function.py torsion_common.pdb 4 0 0 5 4 127.0.0.1 2050 6-311G* 1 2. 10 .../share/molecuilder/data/bondtables/bondtable.dat
 
 file=torsion_homology.dat
@@ -86,15 +94,17 @@
 AT_KEYWORDS([potential parse-homologies fit-potential improper])
 AT_SKIP_IF([../../molecuilder --help fit-potential; if test $? -eq 5; then /bin/true; else /bin/false; fi])
+# homology files probably originate from Labspace/PotentialFitting/Ammonia
+# recreate homology file: PYTHONPATH=... /usr/bin/python .../tests/regression/Potential/FitPotential/pre/measurement_function.py improper_common.pdb 2 0 0 5 4 127.0.0.1 2050 6-311G* 1 2. 10 .../share/molecuilder/data/bondtables/bondtable.dat
 
 file=improper_homology.dat
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Potential/FitPotential/pre/$file $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder --dry-run 	--parse-homologies $file 	--set-random-number-engine "lagged_fibonacci607" 		--random-number-engine-parameters "seed=1;" 	--set-random-number-distribution "uniform_real" 		--random-number-distribution-parameters "min=0;max=1;" 	--fit-potential 		--potential-type "improper" 		--potential-charges 1 7 1 1 		--fragment-charges 7 1 1 1 		--set-threshold 3e-4 	--save-potentials improper.potentials --no-dry-run --store-session session-potential-fit-potential.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([../../molecuilder --dry-run 	--parse-homologies $file 	--set-random-number-engine "lagged_fibonacci607" 		--random-number-engine-parameters "seed=1;" 	--set-random-number-distribution "uniform_real" 		--random-number-distribution-parameters "min=0;max=1;" 	--fit-potential 		--potential-type "improper" 		--potential-charges 7 1 1 1 		--fragment-charges 7 1 1 1 		--set-threshold 3e-4 	--save-potentials improper.potentials --no-dry-run --store-session session-potential-fit-potential.py --session-type python], 0, [stdout], [ignore])
 AT_CHECK([grep -v "Command.*DryRun" session-potential-fit-potential.py >session-potential-fit-potential_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-potential-fit-potential_new.py], 0, [stdout], [ignore])
 # check that L_2 error is below 3e-4
 # check parameters to printed precision
-AT_CHECK([grep "improper:.*particle_type1=1,.*particle_type2=7,.*particle_type3=1,.*particle_type4=1,.*spring_constant=.*,.*equilibrium_distance=.*;" improper.potentials], 0, [ignore], [ignore])
-#AT_CHECK([grep "improper:.*particle_type1=1,.*particle_type2=7,.*particle_type3=1,.*particle_type4=1,.*spring_constant=1.02.*,.*equilibrium_distance=0.85.*;" improper.potentials], 0, [ignore], [ignore])
+AT_CHECK([grep "improper:.*particle_type1=7,.*particle_type2=1,.*particle_type3=1,.*particle_type4=1,.*spring_constant=.*,.*equilibrium_distance=.*;" improper.potentials], 0, [ignore], [ignore])
+#AT_CHECK([grep "improper:.*particle_type1=7,.*particle_type2=1,.*particle_type3=1,.*particle_type4=1,.*spring_constant=1.02.*,.*equilibrium_distance=0.85.*;" improper.potentials], 0, [ignore], [ignore])
 
 AT_CLEANUP
@@ -103,4 +113,6 @@
 AT_KEYWORDS([potential parse-homologies fit-potential lennardjones])
 AT_SKIP_IF([../../molecuilder --help fit-potential; if test $? -eq 5; then /bin/true; else /bin/false; fi])
+# homology files probably originate from Labspace/PotentialFitting/Argon
+# recreate homology file: PYTHONPATH=... /usr/bin/python .../tests/regression/Potential/FitPotential/pre/measurement_function.py lj_common.pdb 2 0 0 5 4 127.0.0.1 2050 6-311G* 2 11. 10 .../share/molecuilder/data/bondtables/bondtable.dat
 
 file=lj_homology.dat
